%  sole5.m
% Matlab file for Part 5 of the Systems of Linear 
% Equations module

disp('**********************************************')
disp('Part 5: Geometric Interpretations of the')
disp('        Algebraic Equations ')
disp('**********************************************')
disp('  ')    

    format rational
    
    disp('Step 1: ') 
    disp('We solve the system and graph the lines.')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  syms x1 x2 ')
    disp('  [X1,X2]=solve(''x1 + 2*x2 = 16'',''x1 - x2 = 2'') ')
    disp(' ')
    disp('  f1 = (16 - x1)/2 ')
    disp('  f2 = -2 + x1 ')
    disp('  clf   % Clears figure window ')
    disp('  ezplot(f1,[-5,20]); grid on; hold on ')
    disp('  ezplot(f2,[-5,20]) ')
    disp(' ')
    disp('-----------------------------------------------')
    disp('Answer the question using MATLAB comments in your')
    disp('diary file. ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('-----------------------------------------------')
    disp('Step 2: ') 
    disp('We insert arbitary coefficients and solve the ')
    disp('system. ')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  syms x1 x2 a b c d ')
    disp('  F1=(16 - a*x1)/b ')
    disp('  F2=( 2 - c*x1)/d ')
    disp('  [X1,X2]=solve(''a*x1 + b*x2 = 16'',''c*x1 + d*x2 = 2'') ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('-----------------------------------------------')
    disp('Step 2 (cont): ') 
    disp('Now we can substitute values for the coefficients ')
    disp('a, b, c, and d to find specific solutions and ')
    disp('make the corresponding plots.  The first line ')
    disp('below contains the values of a,b,c,d. ')
    disp('Enter: ')
    disp(' ')
    disp('  values = {1,2,1,-1}; ')
    disp(' ')
    disp('  x1 = subs(X1,{a,b,c,d},values) ')
    disp('  x2 = subs(X1,{a,b,c,d},values) ')
    disp('  f1 = subs(F1,{a,b,c,d},values) ')
    disp('  f2 = subs(F2,{a,b,c,d},values) ')
    disp('  clf   ')
    disp('  ezplot(f1,[-5,20]); grid on; hold on ')
    disp('  ezplot(f2,[-5,20]) ')
    disp(' ')
    disp('-----------------------------------------------')
    disp('Experiment with changing the values of the')
    disp('a,b,c, and d coefficients by simply entering ')
    disp('a new set for the ''values'' variable. ')
    disp('Then resolve and replot to study the effects. ')
    disp(' (You may have to change the x-range of the ')
    disp('  plot so you can see the solution point.) ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('---------------------------------------------')
    disp('Step 3 and 4: ')
    disp('Make the prescribed changes to the values of a')
    disp('and b, try to resolve, and replot to study the')
    disp('effects. ')
    disp(' ')
    disp('Explain what you see using MATLAB comments in ')
    disp('your diary file. ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('------------------------------------------------')
    disp('Step 5')
    disp('We now solve the given equations for x3 in terms')
    disp('of x1 and x2 and plot the three planes. ')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  syms x1 x2 ')
    disp('  f1 = (10 - x1 - 4*x2)/3 ')
    disp('  f2 =  3 + 2*x1 + x2 ')
    disp('  f3 =  3 - x1 + x2 ')
    disp('  clf ')
    disp('  ezsurf(f1, [-2,2, -2,2]); hold on ')
    disp('  ezsurf(f2, [-2,2, -2,2]) ')
    disp('  ezsurf(f3, [-2,2, -2,2]) ')
    disp(' ')
    disp('---------------------------------------------')
    disp('Rotate the plot to get a good look. ')
    disp(' ')
    disp('To rotate the plot, first click on the rotate')
    disp('button at the far right of the menu bar in the')
    disp('figure window.  Then hold down the left mouse')
    disp('button while on top of the figure and drag.')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')

    disp('--------------------------------------------')
    disp('Step 6 and 7:')
    disp('Adapt the commands of step 5 to study the')
    disp('systems provided. ')
    disp(' ')
    disp('--------------------------------------------------')
    disp('Based on your observations, answer the question')
    disp('in step 7.  Use MATLAB comments in your diary file.')
    disp(' ')
    disp(' ')
    disp('-------------------------------------------- ')
    disp('When you are ready to go on to part 6 ')
    disp('of this module, type: sole6.')
    disp(' ')
